.\" $NetBSD: mscdlabel.8,v 1.3 2004/07/04 14:11:44 drochner Exp $
.\"
.Dd July 25, 2005
.Dt MSCDLABEL 8
.Os
.Sh NAME
.Nm mscdlabel
.Nd generate disk label from CD track information
.Sh SYNOPSIS
.Nm
.Op Ar device | file
.Sh DESCRIPTION
.Nm
is used to generate a
.Nx
disk label from track information read from the CD.  This way, data
of previous sessions of a multi-session CD can be accessed.
.Pp
.Nm
scans the CD's TOC, beginning with the last track.
For each data track where an ISO9660 filesystem is identified,
basic information (volume label, creation date) is printed and
a partition entry added to the in-core disklabel.
.Pp
The raw partition (typically partition
.Em c ,
but
.Em d
on i386 and some other platforms) is left alone during this process.
.Pp
The
.Nm
utility can also be used on files or non-CD devices.
In this case a single track is assumed.
If the device supports disk labels, a label will be written
as described above. Otherwise, just the ISO volume label
information will be printed.
.Sh SEE ALSO
.Xr cdplay 1 ,
.Xr disklabel 8 ,
.Xr mbrlabel 8
